<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Settings for the career block
 *
 * @package    block_career
 * @category   block
 * @copyright  2018 Softia/Université lorraine
 * @author     Myriam Delaruelle / vrignaud camille/ faouzi / Thomas Fradet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    // Default for showing/hiding the block to students
    $settings->add(new admin_setting_configcheckbox(
        'block_career/showstudentsbydefault',
        get_string('setting_showstudents', 'block_career'),
        get_string('setting_showstudents_desc', 'block_career'),
        1
    ));
}
