<?php

/**
 * block_career
 *
 *
 * @package    block_career
 * @category   block
 * @copyright  2018 Softia/Université lorraine
 * @author     vrignaud camille/ faouzi / Thomas Fradet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class view_career_setting extends moodleform
{
	public function definition()
	{
		// TODO: Implement definition() method.
		global $CFG;

		$mform = $this->_form; // Don't forget the underscore!

			  //Default value
	}

	public function get_content()
	{
		global $DB, $CFG;

		$mform = $this->_form;
		$careerId = optional_param('pathid', NULL, PARAM_INT);
		$course = required_param('courseid', PARAM_INT);

		$name = "";
		$description = "";
		$ressourcesId = "";
		$contentButton = "Ajouter un parcours";
		// $imagePath = "";

		if (isset($careerId) && !empty($careerId))
		{
			$requete = $DB->get_record_sql('SELECT * FROM {block_career} WHERE id = ?', array($careerId));
			$name = $requete->name;
			$description = $requete->description;
			$ressourcesId = explode(",", $requete->ressources);
			$contentButton = "Modifier le parcours";
			// $imagePath = $requete->image;

		}


		$mform->addElement('text','careerName',get_string('titleaddname_plugin', 'block_career'));
		$mform->addRule('careerName', get_string('error'), 'required', null, null, false, false);
		$mform->setDefault('careerName',$name);

		$mform->addElement('editor', 'descriptionName', get_string('titleadddesc_plugin', 'block_career'));
		$mform->setType('descriptionName', PARAM_RAW);
		$mform->addRule('descriptionName', get_string('error'), 'required', null, null, false, false);
		$mform->setDefault('descriptionName',array('text'=>$description));

		//FilePicker IMAGE
		//$mform->addElement('filepicker', 'imageName', get_string('titleaddimg_plugin', 'block_career'), null);


		// $content = "<h1>" . get_string('title_plugin', 'block_career') . "</h1>";
		$content = "";
		$content .= "<h2>Édition du parcours</h2>";
		$content .= "<div class='alert alert-info'>" . get_string('heading_plugin', 'block_career') . "</div>";

		$temp = $mform->toHtml();


		$temp = substr($temp,(strpos($temp,'>')+1));
		$temp = substr($temp,0, -7);

		$sections = block_career_section::get_sections_by_id_course($course);

		$content .= '<div class="row"><form class="col-12" action="career_setting.php?courseid=' . $course . '" method="post" enctype="multipart/form-data">';

		$content .= $temp;

		foreach ($sections as $section) {
			$section->ressources = block_career_ressource::get_ressources_by_id_section($section->id);
		}
		
		$content .= '<h2 style="margin-top: 1.5rem;">' . get_string('titleaddelem_plugin', 'block_career') . '</h2><div class="alert alert-info">' . get_string('titleaddelemdesc_plugin', 'block_career') . '</div>';

		$content .= "<section class='career-cols'>";

		foreach ($sections as $section) {
			if ( count($section->ressources) > 0 ) {
				$content .= '<div style="break-inside: avoid;"><h3 class="h4 career-edit-list-title">' . $section->name . '</h3>';
				$content .= '<ul class="career-ul">';
				foreach ($section->ressources as $ressource) {
					$check = false;
					if ($ressourcesId != "") {
						foreach ($ressourcesId as $ress_id) {
							if ( $ress_id == $ressource->id ) {
								$check = true;
								break;
							}
						}
					}
					if ( $check ) {
						$content .= '<li>
						<label class="fancy--holder fancy--checkbox2">
						<input type="checkbox" name="ressource[]" value="' . $ressource->id . '" label="'. $ressource->name .'" checked>
						<span class="fancy--input"></span>
						<span class="fancy--label">'. $ressource->name .'</span>
						</label>
						<li>';
					} else {
						$content .= '<li>
						<label class="fancy--holder fancy--checkbox2">
						<input type="checkbox" name="ressource[]" value="' . $ressource->id . '" label="'. $ressource->name .'">
						<span class="fancy--input"></span>
						<span class="fancy--label">'. $ressource->name .'</span>
						</label>
						<li>';
					}
				}
				$content .= '</ul></div>';
			}
		}

		$content .= "</section>";

		$content .= '
		<div class="row mt-3">  
		<div class="col">
		<input type="hidden" name="careerId" value="'.$careerId.'">
		<a href=' . $CFG->wwwroot . "/blocks/career/career_list.php?courseid=" . $course . ' class="btn btn-secondary">Annuler</a> ';

		if ($careerId != 0) {
			$content .= "<a href='$CFG->wwwroot/blocks/career/career_setting.php?courseid=$course&delete=1&id=$careerId' class='btn btn-danger'>Supprimer</a> ";
		}

		$content .= '
		<button type="submit" class="btn btn-primary">'.$contentButton.'</button>
		</div>
		</div>
		';

		$content .= '</div></form>';

		return $content;
	}

}